package com.xunhong.erp.turbo.auth.exception;

import com.xunhong.erp.turbo.base.exception.ErrorCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Getter
public enum UserAuthErrorCode implements ErrorCode {
	// 未登录
	USER_AUTH_NOT_LOGIN("USER_AUTH_NOT_LOGIN", "未登录"),

	// 无应用权限
	USER_AUTH_NO_APP_PERMISSION("USER_AUTH_NO_APP_PERMISSION", "无应用权限"),

	// 无权限
	USER_AUTH_NO_PERMISSION("USER_AUTH_NO_PERMISSION", "无权限"),

	// 无权限
	USER_AUTH_NO_ROLE("USER_AUTH_NO_ROLE", "无角色"),

	// 无权限
	USER_AUTH_NO_USER("USER_AUTH_NO_USER", "无用户"),

	// 验证码错误
	CAPTCHA_ERROR("CAPTCHA_ERROR", "验证码错误");


	private final String code;

	private final String message;

	@Override
	public String getCode() {
		return this.code;
	}

	@Override
	public String getMessage() {
		return this.message;
	}
}
